forall( otype T ) void f( void (*)( T, T * ) );
forall( otype U ) void g( U,  U * );
forall( otype U ) void h( U *, U );

void test() {
    f( h );
    f( g );
}

// Local Variables: //
// tab-width: 4 //
// End: //
